Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.persistence
Class EntityExistsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.persistence.PersistenceException
                      javax.persistence.EntityExistsException

All Implemented Interfaces:
  Serializable

    public class EntityExistsException

extends PersistenceException

Thrown by the persistence provider when EntityManager.persist(Object) is called and the entity already exists. The current transaction, if one is active, will be marked for rollback.

Author:
  Emmanuel Bernard
See Also:
  Serialized Form

Constructor Summary
`EntityExistsException()` Constructs a new EntityExistsException exception with null as its detail message.
`EntityExistsException(String message)` Constructs a new EntityExistsException exception with the specified detail message.
`EntityExistsException(String message, Throwable cause)` Constructs a new EntityExistsException exception with the specified detail message and cause.
`EntityExistsException(Throwable cause)` Constructs a new EntityExistsException exception with the specified cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EntityExistsException

    public EntityExistsException()

  Constructs a new EntityExistsException exception with null as its detail message.

### EntityExistsException

    public EntityExistsException(Throwable cause)

  Constructs a new EntityExistsException exception with the specified cause.

  Parameters:
    `cause` - the cause

### EntityExistsException

    public EntityExistsException(String message)

  Constructs a new EntityExistsException exception with the specified detail message.

  Parameters:
    `message` - the detail message.

### EntityExistsException

    public EntityExistsException(String message,
                                 Throwable cause)

  Constructs a new EntityExistsException exception with the specified detail message and cause.

  Parameters:
    `message` - the detail message.
    `cause` - the cause.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD